# _*_ coding: iso-8859-1 _*_
#!/usr/bin/env python

from distutils.core import setup
import py2exe, os, shutil

dist_dir = "frontend-horus"
if os.path.exists(dist_dir):
    shutil.rmtree(dist_dir)

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {
    "py2exe": {
        "dist_dir": dist_dir,
        "packages":["gtk","encodings", "cairo", "pango", "pangocairo"],
        "optimize":2,
        "includes": "pango,atk,gobject",
        "dll_excludes": ["iconv.dll","intl.dll","libatk-1.0-0.dll", "libgdk_pixbuf-2.0-0.dll","libgdk-win32-2.0-0.dll",
                        "libglib-2.0-0.dll","libgmodule-2.0-0.dll",
                        "libgobject-2.0-0.dll","libgthread-2.0-0.dll",
                        "libgtk-win32-2.0-0.dll","libpango-1.0-0.dll",
                        "libpangowin32-1.0-0.dll","libglade-2.0-0.dll"],
    } 
}

setup(name="frontend-horus",
      options=opts,
      version="1.1",
      description="Outil de gestion des utilisateurs Horus",
      author="Eole",
      author_email="eole@ac-dijon.fr",
      url="http://eole.orion.education.fr/diffusion",
      windows=[{
            "script":'frontend.py',
            "icon_resources":[(1, "eole.ico")]
          }]

)


